/// <reference types="node" />
import { EventEmitter } from "events";
import { RTCPeerConnection, RTCIceCandidate, RTCSessionDescription, RTCView, MediaStream, MediaStreamTrack, registerGlobals } from 'react-native-webrtc';
export { RTCPeerConnection, RTCIceCandidate, RTCSessionDescription, RTCView, MediaStream, MediaStreamTrack, registerGlobals };
export declare function multiply(a: number, b: number): Promise<number>;
export declare function add(a: number, b: number): Promise<number>;
export declare function sayname(name: string): Promise<number>;
export declare function sayby(name: string, location: string, id: string, callBack: any): any;
export declare function obtainStream(): Promise<unknown>;
export declare class Client extends EventEmitter {
    constructor(_Credentials: any);
    Connect(mediaServer: any): void;
}
