import { NativeModules, Platform } from 'react-native';
import {EventEmitter} from "events";



import {
  RTCPeerConnection,
  RTCIceCandidate,
  RTCSessionDescription,
  RTCView,
  MediaStream,
  MediaStreamTrack,
  mediaDevices,
  registerGlobals
} from 'react-native-webrtc'
export  {
  RTCPeerConnection,
  RTCIceCandidate,
  RTCSessionDescription,
  RTCView,
  MediaStream,
  MediaStreamTrack,
  
  registerGlobals
} 
const LINKING_ERROR =
  `The package 'react-native-nativeappmodule' doesn't seem to be linked. Make sure: \n\n` +
  Platform.select({ ios: "- You have run 'pod install'\n", default: '' }) +
  '- You rebuilt the app after installing the package\n' +
  '- You are not using Expo managed workflow\n';

const Nativeappmodule = NativeModules.Nativeappmodule  ? NativeModules.Nativeappmodule  : new Proxy(
      {},
      {
        get() {
          throw new Error(LINKING_ERROR);
        },
      }
    );
    const Hammad = NativeModules.Hammad  ? NativeModules.Hammad  : new Proxy(
      {},
      {
        get() {
          throw new Error(LINKING_ERROR);
        },
      }
    );

export function multiply(a: number, b: number): Promise<number> {
  return Nativeappmodule.multiply(a, b);
}
export function add(a: number, b: number): Promise<number> {
  return Nativeappmodule.add(a, b);
}
export function sayname(name:string): Promise<number> {
  return Nativeappmodule.sayname(name);
}
export function sayby(name:string,location:string,id:string,callBack:any): any {
  return Hammad.createCalendarEvent(name,location,id,callBack);
}
export async function obtainStream() {
    let a= await mediaDevices.getUserMedia({
    audio: true,
    video: {
      width: 640,
      height: 480,
      frameRate: 30,
      facingMode: (true ? "user" : "environment"),
   
    }
  })
  return a;
} 

// function obtainStream(): Promise<number> {
//   let a= await mediaDevices.getUserMedia({
//     audio: true,
//     video: {
//       width: 640,
//       height: 480,
//       frameRate: 30,
//       facingMode: (true ? "user" : "environment"),
   
//     }
//   })
  
// }

export class Client extends EventEmitter {
  constructor(_Credentials: any){
    super();
    if(_Credentials.host)
	{
		this.Connect(_Credentials.host);
	}
	//window.addEventListener('offline', this.onOffline);
  }
  public Connect(mediaServer:any){
    console.log('in sdk connect->',mediaServer)
    console.log('this',this)
    setTimeout(() => {
    this.emit("register",{type:"REGISTER_ACCEPTED",message:"User is registered successfully",mediaServer:mediaServer});
    }, 2000);
  }
}